import { SubscribeConfigInterface } from './subscribe-config.interface';
export interface UnsubscribeInterface {
    (): void;
}
export interface SubscribeClosureInterface<V = any, K = string> {
    (value: V, key: K): void;
}
export interface SubscribeInterface {
    (closFunc: SubscribeClosureInterface, config?: SubscribeConfigInterface): UnsubscribeInterface;
}
